#ifndef DATA_H
#define DATA_H
/*
 * file:    data.h
 * purpose: declare working structure
 */
#include <inttypes.h>
#ifdef EXTERN
#undef EXTERN
#endif

#ifdef PLACE_GLOBALS_HERE
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN struct {
   uint32_t         timer;
   uint32_t         stopAt;
   union fc {
      uint16_t      words[2];
      uint32_t      value;
   }                counter;
   uint16_t         step;
   uint16_t         mode;
   uint16_t         wave;
   uint8_t          level;
   uint8_t          btPush;
   uint8_t          display[5];
} work;


extern void setup(void);
extern void init(void);
__attribute__((always_inline)) void listen2User(uint8_t really);
#endif
