#ifndef SPI_H
#define SPI_H
/*
 * file:    SPI.h
 * purpose: declarations for communication via SPI protocol
 */
#include "Config.h"


#define DDR_SPI     DDR_CLOCK_COMM
#define PIN_MOSI    PIN_DATA_COMM
#define PIN_SCK     PIN_CLOCK_COMM

void spiInit();
void spiBusySendByte(uint8_t b);
void spiBusySend(uint8_t * pBuf, uint8_t size);

#endif
