#ifndef DDS_H
#define DDS_H
/*
 * file:    DDS.h
 * purpose: declare wave generation functions and 
 *          export table names of wave tables.
 */
#include <avr/pgmspace.h>

extern void genSine(void);
extern void genSawtooth(void);
extern void genTriangle(void);
extern void genSquare(void);

extern prog_uchar sine[];
extern prog_uchar sawtooth[];
extern prog_uchar triangle[];
extern prog_uchar square[];
#endif
